[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TBaseJSONEnumerator.Current

Return the current value of the enumerator

## Declaration

Source position: fpjson.pp line 103

`public property TBaseJSONEnumerator.Current : TJSONEnum read GetCurrent;`

## Description

Current returns the current enumerator value of type TJSONEnum. It is only valid after MoveNext returned True.

## See also

TJSONEnum |  | JSON enumerator loop variable type
TJSONData |  | Base (abstract) object for all JSON based data types
MoveNext |  | Move to next value in array/object